Loading...
Searching...
No Matches
DSO (Dynamic Loading) Portability Routines
Apache Portability Runtime library » Portability Routines
Collaboration diagram for DSO (Dynamic Loading) Portability Routines:

## Functions

apr_status_t | apr_os_dso_handle_put (apr_dso_handle_t **dso, apr_os_dso_handle_t thedso, apr_pool_t *pool)
apr_status_t | apr_os_dso_handle_get (apr_os_dso_handle_t *dso, apr_dso_handle_t *aprdso)

## Detailed Description

## Function Documentation

## apr_os_dso_handle_get()

apr_status_t apr_os_dso_handle_get | ( | apr_os_dso_handle_t * | dso,
|  | apr_dso_handle_t * | aprdso
| ) |  |

convert the apr dso handle into an os specific one

Parameters

  aprdso | The apr dso handle to convert
  dso | The os specific dso to return

## apr_os_dso_handle_put()

apr_status_t apr_os_dso_handle_put | ( | apr_dso_handle_t ** | dso,
|  | apr_os_dso_handle_t | thedso,
|  | apr_pool_t * | pool
| ) |  |

convert the dso handle from os specific to apr

Parameters

  dso | The apr handle we are converting to
  thedso | the os specific handle to convert
  pool | the pool to use if it is needed